Subject: Re: [PATCH] guix: channels: Add description field.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 08 Jan 2023 16:43:45 +0100

Am Samstag, dem 07.01.2023 um 10:24 -0600 schrieb jgart:
> * guix/channels.scm (<channel>): Add channel description field and
> comment disambiguating the type expected in an introduction field.
> * doc/guix.scm (Invoking guix describe): Add channel description
> field to channels record instance example.
> 
> This commit adds an optional description field to a channel intended
> to describe the channel. Its purpose is similar to the description
> field in a <package> record.
Since channel descriptions would be maintained by the user and neither
Guix' nor the channel's authors, I think it's safe to say that this
description field would in effect be nothing more but a comment. 
Paired with the fact that introducing it would break ABI, I'm not too
sure whether this is a good idea.

Cheers

PS: Apologize the copy, I typo'd on the bug thread.